--- libraries/Cabal/Distribution/Simple/Install.hs.orig	2008-01-10 20:06:31.000000000 -0800
+++ libraries/Cabal/Distribution/Simple/Install.hs	2008-01-10 20:07:30.000000000 -0800
@@ -168,6 +168,11 @@
    incs <- mapM (findInc relincdirs) (installIncludes lbi)
    unless (null incs) $ do
      createDirectoryIfMissingVerbose verbosity True incdir
+
+     -- Hack to make cabal work with packaging systems
+     -- that expect to be able to delete empty directories:
+     writeFile (incdir ++ ".cabalTurd") ""
+
      sequence_ [ copyFileVerbose verbosity path (incdir </> f)
 	       | (f,path) <- incs ]
   where
